Exponential 6.0.13 Exponential Enterprise Open Source CMS - PHP Class Reference

Public Member Functions | Static Public Member Functions | List of all members
eZINIAddonPackageHandler Class Reference

Handles content classes in the package system. More...

Inheritance diagram for eZINIAddonPackageHandler:

## Public Member Functions
| __construct ()
| install ( $package, $installType, $parameters, $name, $os, $filename, $subdirectory, $content, &$installParameters, &$installData)
Public Member Functions inherited from eZPackageHandler
| __construct ( $handlerType, $parameters=array())
| extractInstallContent ()
| uninstall ( $package, $installType, $parameters, $name, $os, $filename, $subdirectory, $content, &$installParameters, &$installData)
| handlerType ()
| reset ()
| explainInstallItem ( $package, $installItem, $requestedInfo=array())
| add ( $packageType, $package, $cli, $parameters)
| handleAddParameters ( $packageType, $package, $cli, $arguments)
| createDependencyNode ( $package, &$dependencyNode, $dependencyItem, $dependencySection)
| parseDependencyNode ( $package, &$dependencyNode, &$dependencyParameters, $dependencySection)
| createDependencyText ( $package, $dependencyItem, $dependencySection)
| createInstallNode ( $package, $installNode, $installItem, $installType)
| parseInstallNode ( $package, $installNode, &$installParameters, $isInstall)
| isErrorElement ( $elementID, &$installParameters)

## Static Public Member Functions
static | currentID ( $valueNode, $db)
| addOverrideAddon ( $package, $filename, &$iniOverrideArray, $remoteIDArray)
| iniDOMTree ( $filename, $siteAccess, &$blockArray, $remoteIDArray)
Static Public Member Functions inherited from eZPackageHandler
static | errorChoosenAction ( $errorCode, &$installParameters, $description, $handlerType, $resetError=true)

## Additional Inherited Members
Public Attributes inherited from eZPackageHandler
| $ExtractInstallContent
| $HandlerType

## Detailed Description

Handles content classes in the package system.

Definition at line 17 of file eziniaddonpackagehandler.php.

## Constructor & Destructor Documentation

## ◆ __construct()

eZINIAddonPackageHandler::__construct | ( |  | ) |

Definition at line 19 of file eziniaddonpackagehandler.php.

## Member Function Documentation

## ◆ addOverrideAddon()

eZINIAddonPackageHandler::addOverrideAddon | ( |  | $package,
|  |  | $filename,
|  | & | $iniOverrideArray,
|  |  | $remoteIDArray
| ) |  |
| static

Adds the content of the ini override to the package

Parameters

  package |
  ini | filename, ex: site.ini
  iniOverrideArray | structure array( <site_access> => array( <ini_block_name> => array( <ini_block_values> ) ) )
  remoteIDArrat | structure: array( <class|node|object> => array( <id> => <remote_id> ) )

Definition at line 145 of file eziniaddonpackagehandler.php.

References iniDOMTree().

## ◆ currentID()

static eZINIAddonPackageHandler::currentID | ( |  | $valueNode,
|  |  | $db
| ) |  |
| static

get current id of value node

Parameters

  value | DOMNode
  db | connection

Definition at line 93 of file eziniaddonpackagehandler.php.

References eZDebug\writeError().

Referenced by install().

## ◆ iniDOMTree()

eZINIAddonPackageHandler::iniDOMTree | ( |  | $filename,
|  |  | $siteAccess,
|  | & | $blockArray,
|  |  | $remoteIDArray
| ) |  |
| static

Create DOMNode from inioverride

Parameters

  ini | filename
  siteaccess |
  ini | values, struct: array( <ini_block_name> => array( <ini_block_values> ) )
  remoteID | array

Returns
  DOMNode, false if fails

Definition at line 176 of file eziniaddonpackagehandler.php.

References eZDebug\writeNotice().

Referenced by addOverrideAddon().

## ◆ install()

eZINIAddonPackageHandler::install | ( |  | $package,
|  |  | $installType,
|  |  | $parameters,
|  |  | $name,
|  |  | $os,
|  |  | $filename,
|  |  | $subdirectory,
|  |  | $content,
|  | & | $installParameters,
|  | & | $installData
| ) |  |
| virtual

Creates a new override setting for the specified override.

Parameters

  installParameters | - optional value array( 'site_access_map' => array( <package site access> => <install site access> ) )

Implements eZPackageHandler.

Definition at line 30 of file eziniaddonpackagehandler.php.

References currentID(), and eZDB\instance().

The documentation for this class was generated from the following file:

- eziniaddonpackagehandler.php

Copyright © 1998 – 2026 7x. All rights reserved. Licensed under the GNU GPLv2+.